PrecedenceQueryNodeProcessorPipeline (Lucene 10.5.1 queryparser API)
Description: declaration: package: org.apache.lucene.queryparser.flexible.precedence.processors, class: PrecedenceQueryNodeProcessorPipeline

Package org.apache.lucene.queryparser.flexible.precedence.processors

# Class PrecedenceQueryNodeProcessorPipeline

java.lang.Object
org.apache.lucene.queryparser.flexible.core.processors.QueryNodeProcessorPipeline
org.apache.lucene.queryparser.flexible.standard.processors.StandardQueryNodeProcessorPipeline
org.apache.lucene.queryparser.flexible.precedence.processors.PrecedenceQueryNodeProcessorPipeline

All Implemented Interfaces:
  `Iterable<QueryNodeProcessor>`, `Collection<QueryNodeProcessor>`, `List<QueryNodeProcessor>`, `SequencedCollection<QueryNodeProcessor>`, `QueryNodeProcessor`

public class PrecedenceQueryNodeProcessorPipeline extends StandardQueryNodeProcessorPipeline
This processor pipeline extends `StandardQueryNodeProcessorPipeline` and enables boolean precedence on it.

EXPERT: the precedence is enabled by removing `BooleanQuery2ModifierNodeProcessor` from the `StandardQueryNodeProcessorPipeline` and appending `BooleanModifiersQueryNodeProcessor` to the pipeline.

See Also:
  - `PrecedenceQueryParser`
  - `StandardQueryNodeProcessorPipeline`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PrecedenceQueryNodeProcessorPipeline(QueryConfigHandler queryConfig)`

- ## Method Summary

  ### Methods inherited from class org.apache.lucene.queryparser.flexible.core.processors.QueryNodeProcessorPipeline

  `add, add, addAll, addAll, clear, contains, containsAll, get, getQueryConfigHandler, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, process, remove, remove, removeAll, retainAll, set, setQueryConfigHandler, size, subList, toArray, toArray`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

  ### Methods inherited from interface java.util.List

  `addFirst, addLast, equals, getFirst, getLast, hashCode, removeFirst, removeLast, replaceAll, reversed, sort, spliterator`

- ## Constructor Details

  - ### PrecedenceQueryNodeProcessorPipeline

    public PrecedenceQueryNodeProcessorPipeline(QueryConfigHandler queryConfig)
    See Also:
      - `StandardQueryNodeProcessorPipeline(QueryConfigHandler)`